Bug 206155 - kudzu needs to recognize and configure Xen virtual devices
Summary: kudzu needs to recognize and configure Xen virtual devices
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kudzu   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 192025
TreeView+ depends on / blocked
 
Reported: 2006-09-12 15:13 UTC by Rik van Riel
Modified: 2014-03-17 03:02 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0292
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:20:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0292 normal SHIPPED_LIVE kudzu bug fix update 2007-04-28 19:02:12 UTC

Description Rik van Riel 2006-09-12 15:13:53 UTC
Description of problem:

When converting a RHEL4 fully virtualized guest to a paravirtualized guest,
Kudzu will happily offer you to throw away the configuration for all the (no
longer present) "physical" devices, but it will not set up configuration for the
virtual devices at all.

This leads to a virtual machine without a network.

Steps to Reproduce:
1. install RHEL4 fully virt guest
2. install paravirt kernel in that guest
3. twiddle /etc/xen/guest config file to boot it paravirt
4. kudzu offers to remove all device configuration on bootup
5. do as kudzu suggests
6. network device is gone
  
Expected results:

Kudzu should configure Xen virtual devices.

Additional info:

Comment 1 Bill Nottingham 2006-09-12 15:31:34 UTC
Needs done for 4.5, yes?

Comment 2 Rik van Riel 2006-09-12 15:35:50 UTC
Yes. Can't set those flags from the initial bug creation though :)

Comment 3 RHEL Product and Program Management 2006-09-12 15:46:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Jeremy Katz 2006-10-18 20:05:56 UTC
More importantly, this is needed so that anaconda can find the devices so we can
get the right install experience :-)

And committed bits for that, will be in 1.1.95.16

Comment 9 Red Hat Bugzilla 2007-05-08 00:20:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0292.html


Note You need to log in before you can comment on or make changes to this bug.